> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.wealthatlas.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.wealthatlas.com/_mcp/server.

# Get progress for multiple enhancements

POST https://api.wealthatlas.com/v1/partners/enhancements/progress/batch
Content-Type: application/json

Get the progress for multiple enhancements. **Maximum: 1000 enhancement IDs per request.**

**Cost: Free.**

Reference: https://developer.wealthatlas.com/api-reference/enhance/get-enhancements-progress

## Authentication

- `x-api-key` header (required) — Your WealthAtlas API key. Contact support@wealthatlas.com to get started.

## Request

### Body (application/json)

This endpoint expects a ProgressRequest.

- `enhancement_ids` (list of string, required) — The enhancement IDs to get progress for

## Response

### 200

Successful Response

- `states` (map from string to EnhancementState, required)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### EnhancementState

- `progress` (Progress, optional, nullable) — The progress of the enhancement, if our system is aware of it
- `error` (string, optional, nullable) — The error message, if there was an issue fetching the enhancement's state

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (ValidationErrorCtx, optional)

### Progress

- `status` (enum, required)
  - Allowed values: `queued`, `processing`, `completed`, `failed`
- `percent_complete` (integer, optional, nullable) — The percentage completion of the enhancement, if it's processing

### ValidationErrorLocItems

- string
- integer

### ValidationErrorCtx

## Examples

**Request**

```json
{
  "enhancement_ids": [
    "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
    "4df98922-b22b-4c18-b002-daf8a8cc9c48"
  ]
}
```

**Response**

```json
{
  "states": {
    "4df98922-b22b-4c18-b002-daf8a8cc9c48": {
      "progress": {
        "status": "completed"
      }
    },
    "f81d4fae-7dec-11d0-a765-00a0c91e6bf6": {
      "progress": {
        "status": "processing",
        "percent_complete": 75
      }
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.wealthatlas.com/v1/partners/enhancements/progress/batch"

payload = { "enhancement_ids": ["f81d4fae-7dec-11d0-a765-00a0c91e6bf6", "4df98922-b22b-4c18-b002-daf8a8cc9c48"] }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.wealthatlas.com/v1/partners/enhancements/progress/batch';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"enhancement_ids":["f81d4fae-7dec-11d0-a765-00a0c91e6bf6","4df98922-b22b-4c18-b002-daf8a8cc9c48"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.wealthatlas.com/v1/partners/enhancements/progress/batch"

	payload := strings.NewReader("{\n  \"enhancement_ids\": [\n    \"f81d4fae-7dec-11d0-a765-00a0c91e6bf6\",\n    \"4df98922-b22b-4c18-b002-daf8a8cc9c48\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.wealthatlas.com/v1/partners/enhancements/progress/batch")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"enhancement_ids\": [\n    \"f81d4fae-7dec-11d0-a765-00a0c91e6bf6\",\n    \"4df98922-b22b-4c18-b002-daf8a8cc9c48\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.wealthatlas.com/v1/partners/enhancements/progress/batch")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"enhancement_ids\": [\n    \"f81d4fae-7dec-11d0-a765-00a0c91e6bf6\",\n    \"4df98922-b22b-4c18-b002-daf8a8cc9c48\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.wealthatlas.com/v1/partners/enhancements/progress/batch', [
  'body' => '{
  "enhancement_ids": [
    "f81d4fae-7dec-11d0-a765-00a0c91e6bf6",
    "4df98922-b22b-4c18-b002-daf8a8cc9c48"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.wealthatlas.com/v1/partners/enhancements/progress/batch");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"enhancement_ids\": [\n    \"f81d4fae-7dec-11d0-a765-00a0c91e6bf6\",\n    \"4df98922-b22b-4c18-b002-daf8a8cc9c48\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["enhancement_ids": ["f81d4fae-7dec-11d0-a765-00a0c91e6bf6", "4df98922-b22b-4c18-b002-daf8a8cc9c48"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.wealthatlas.com/v1/partners/enhancements/progress/batch")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```